import Vue from 'vue'
import App from './App.vue'
import VueRouter from 'vue-router'
import index from "./pages/index.vue"
import list from "./pages/list.vue"
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import axios from "axios"
Vue.use(ElementUI);
// axios 全局的url前缀
axios.defaults.baseURL = "https://tomcat.theluyuan.com/vegetables"
// 请求拦截器 请求前修改请求的配置 可以添加token 请求头 
axios.interceptors.request.use((config)=>{
  console.log(config)
  // 这个请求的配置 axios({})
  // config.url="11111"
  // dom 添加盖板
  // config.baseURL = "2222"
  config.headers.token = localStorage.getItem("token")
  return config
})


// 响应拦截器
// 获取后台的信息 修改 或者 跳转页面
axios.interceptors.response.use((res)=>{
  console.log(JSON.stringify(res),"这是拦截器的")
  // res.data = "这是修改之后的"
  if(res.data.message == "请输入正确的用户信息"){
    router.push("/index")
  }
  // 删除盖板
    alert("信息")
  return res
})

axios.interceptors.response.use((res)=>{
  console.log("这是第二个")
  return res
})

axios.interceptors.response.use((res)=>{
  console.log("这是第san 个")
  return res
})
Vue.prototype.axios = axios
// vue 使用这个插件
Vue.use(VueRouter)

const router = new VueRouter({
  routes: [{
    path:"/index",
    component:index,
    children:[{
      path:"table",
      component: () => import("./pages/table.vue")
    },{
      path:"list",
      component: list
    }]
  },{
    path:"/list",
    name:"list",
    component:list
  },{
    path:"/login",
    component: ()=> import("./pages/login.vue")
  },{
    path:"*",
    component: ()=> import("./pages/404.vue")
  }]
})


Vue.config.productionTip = false

new Vue({
  render: h => h(App),
  router:router
}).$mount('#app')
